VOS_LOCK(1)

NAME
vos_lock - Locks a VLDB volume entry

SYNOPSIS
vos lock -id <volume name or ID>
    [-cell <cell name>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos lo -i <volume name or ID>
    [-c <cell name>]
    [-noa] [-l] [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos lock command locks the Volume Location Database (VLDB) entry for the indicated volume, blocking any operation that requires a write to that entry. The lock applies to all of the volume versions associated with the entry, not just the one specified with the -id argument.

To unlock a single VLDB entry, use the vos unlock command. To unlock several entries, or all locked entries in the VLDB, use the vos unlockvldb command.

CAUTIONS
Do not use this command in normal circumstances. It is useful for guaranteeing that the volume stays unchanged when there is reason to believe that volume operations cannot properly lock VLDB volume entries as they normally do to synchronize with one another.

OPTIONS

-id <volume name or ID>
    Specifies either the complete name or volume ID number of a volume of the any of the three types.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /usr/vice/etc, except if -localauth is specified, in which case the default is /usr/afs/etc. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command locks the VLDB entry for "user.terry".

   % vos lock user.terry

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_unlock(1), vos_unlockvldb(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.